package com.logicbig.example;

public class RoundRectangle extends Rectangle {
    private int arcWidth;

    public int getArcWidth() {
        return arcWidth;
    }

    public void setArcWidth(int arcWidth) {
        this.arcWidth = arcWidth;
    }

    public static RoundRectangle of(int w, int h, int arc) {
        RoundRectangle rr = new RoundRectangle();
        rr.setWidth(w);
        rr.setHeight(h);
        rr.setArcWidth(arc);
        return rr;
    }

    @Override
    public String toString() {
        return "RoundRectangle{" +
                "arcWidth=" + arcWidth + ", " +
                super.toString() +
                '}';
    }
}